/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\BagOfUncommonMPResources.cs
Lines of code: 54
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BagOfUncommonMPResources : Bag
	{
		[Constructable]
		public BagOfUncommonMPResources() : this( 10 )
		{
		}

		[Constructable]
		public BagOfUncommonMPResources( int amount )
		{
			for ( int j = 0; j < amount; j++ )
			{
				switch ( Utility.Random( 18 ))
				{                                   
				case 0: DropItem( new CapturedDarkSoul( Utility.Random(1,6) ));break;  
				case 1: DropItem( new CapturedMageSoul( Utility.Random(1,6) ));break; 
				case 2: DropItem( new CapturedLightSoul( Utility.Random(1,6) ));break; 
				case 3: DropItem(new ConflagrantArrow( Utility.Random(1,6) ));break;  
				case 4: DropItem( new RagingThunderstorm( Utility.Random(1,6) ));break; 
				case 5: DropItem( new BlazingInferno( Utility.Random(1,6) ));break; 
				case 6: DropItem( new PiercingFrostbite( Utility.Random(1,6) ));break; 
				case 7: DropItem( new SpeedPearls( Utility.Random(1,6) )); break;    
				case 8: DropItem( new EtherealShielding( Utility.Random(1,2) ));break; 
				case 9: DropItem( new EtherealWeaponry( Utility.Random(1,2) ));break; 
				case 10: DropItem( new ScalesOfBalance()); break;
				case 11: DropItem( new OrbOfElements()); break;
				case 12: DropItem( new ReflectiveStance( Utility.Random(1,2) )); break;
				case 13: DropItem( new HealthyPearls( Utility.Random(1,2) )); break;
				case 14: DropItem( new HerbsOfStamina( Utility.Random(1,2) )); break;
				case 15: DropItem( new PotionOfRepair( Utility.Random(1,2) )); break;
				case 16: DropItem( new EssenceOfDispelling( Utility.Random(1,6) )); break;
				case 17: DropItem( new ReagentPowder( Utility.Random(1,4))); break; 
				}		
			}
		}

		public BagOfUncommonMPResources( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}